Bug 1047651 - Freeciv gtk client crashes
Summary: Freeciv gtk client crashes
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: freeciv
Version: 20
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-01 14:56 UTC by Douglas Furlong
Modified: 2015-06-29 14:01 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 14:01:22 UTC
Type: Bug


Attachments (Terms of Use)

Description Douglas Furlong 2014-01-01 14:56:23 UTC
Description of problem:
While playing freeciv, while waiting for the the next turn, the client crashes. This is happening every few turns.

Version-Release number of selected component (if applicable):
Name        : freeciv
Version     : 2.4.1
Release     : 1.fc20
Architecture: x86_64

How reproducible:
Every few turns.

Steps to Reproduce:
1. Click next turn
2. Wait
3.

Actual results:
Client crashes generating this output.
1: Lost connection to server: lagging connection.
1: select() return=-1 errno=9 (Bad file descriptor)
1: WARNING: Trying to close already closed connection
Invalid string conversion from UTF-8 to UTF-8.1: Lost connection to server: ��xn
                                                                                .

(freeciv-gtk2:13914): Gtk-CRITICAL **: gtk_text_buffer_emit_insert: assertion 'g_utf8_validate (text, len, NULL)' failed

(freeciv-gtk2:13914): GLib-GObject-CRITICAL **: g_object_ref: assertion 'object->ref_count > 0' failed

(freeciv-gtk2:13914): GLib-GObject-CRITICAL **: g_object_unref: assertion 'object->ref_count > 0' failed

(freeciv-gtk2:13914): GLib-GObject-CRITICAL **: g_object_unref: assertion 'object->ref_count > 0' failed
1: in genhash_lookup() [genhash.c::750]: assertion '((void *)0) != pgenhash' failed.
1: Please report this message at http://gna.org/projects/freeciv/
1: apply_result_on_server(city 0="") !check_city()!
1: in genhash_lookup() [genhash.c::750]: assertion '((void *)0) != pgenhash' failed.
1: Please report this message at http://gna.org/projects/freeciv/
1: in genhash_lookup() [genhash.c::750]: assertion '((void *)0) != pgenhash' failed.
1: Please report this message at http://gna.org/projects/freeciv/
1: in genhash_lookup() [genhash.c::750]: assertion '((void *)0) != pgenhash' failed.
1: Please report this message at http://gna.org/projects/freeciv/
Segmentation fault (core dumped)


Expected results:
Client carries on working.

Additional info:

Comment 1 Fedora End Of Life 2015-05-29 10:16:35 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2015-06-29 14:01:22 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.